"""CLI for plot_read_counts function."""

import argparse
import logging

from plot_read_counts import plot_read_counts


def main():
    r"""CLI for plot_read_counts.

    This cli is used to access the functionality of plot_read_counts,
    taking in a path of csv files, a gene ID, and an optional save
    file name.

    Typical example usage:

    cli_plot_read_counts.py '../tests/resources' GENE1 '../test/PLSe1writeTarget.test'
    """
    parser = argparse.ArgumentParser(
        description='number of transcripts to sample')
    parser.add_argument('file_path', action='store',
                        type=str, help='path to gene count .csv files')
    parser.add_argument('gene_id', action='store',
                        type=str, help='gene ID of which to plot counts')
    argsin = parser.parse_args()

    logging.basicConfig(format='[%(asctime)s: %(levelname)s] "%(module)s" %(message)s',
                        level=logging.INFO)

    plot_read_counts(argsin.file_path, argsin.gene_id)


if __name__ == "__main__":
    main()
